#include "project.h"

extern void xPortPendSVHandler(void) ;
extern void xPortSysTickHandler(void) ;
extern void vPortSVCHandler(void) ;
#define CORTEX_INTERRUPT_BASE   (16)

void setupFreeRTOS(void)
{
    /* Handler for Cortex Supervisor Call (SVC, formerly SWI) - address 11 */
    CyIntSetSysVector( CORTEX_INTERRUPT_BASE + SVCall_IRQn,
        (cyisraddress)vPortSVCHandler ) ;
    
    /* Handler for Cortex PendSV Call - address 14 */
    CyIntSetSysVector( CORTEX_INTERRUPT_BASE + PendSV_IRQn,
        (cyisraddress)xPortPendSVHandler ) ;
    
    /* Handler for Cortex SYSTICK - address 15 */
    CyIntSetSysVector( CORTEX_INTERRUPT_BASE + SysTick_IRQn,
        (cyisraddress)xPortSysTickHandler ) ;
}

